Package tigase.util.setup

# Enum Class SetupHelper.RestApiSecurity

java.lang.Object
java.lang.Enum<SetupHelper.RestApiSecurity>
tigase.util.setup.SetupHelper.RestApiSecurity

All Implemented Interfaces:
  `Serializable`, `Comparable<SetupHelper.RestApiSecurity>`, `Constable`

Enclosing class:
  SetupHelper

public static enum SetupHelper.RestApiSecurity extends Enum<SetupHelper.RestApiSecurity>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `api_keys`
  `forbidden`
  `open_access`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetupHelper.RestApiSecurity`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SetupHelper.RestApiSecurity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### forbidden

    public static final SetupHelper.RestApiSecurity forbidden

  - ### api_keys

    public static final SetupHelper.RestApiSecurity api_keys

  - ### open_access

    public static final SetupHelper.RestApiSecurity open_access

- ## Method Details

  - ### values

    public static SetupHelper.RestApiSecurity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SetupHelper.RestApiSecurity valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null